Summary: 	SSL2, SSL3, and TLS1 encryption extensions for TCL
Name: 		tcltls
Version: 	1.6
Release: 	%mkrel 5
License: 	BSD
Group: 		System/Libraries
URL: 		http://tls.sourceforge.net/
Source0:	http://downloads.sourceforge.net/tls/tls%{version}-src.tar.gz
Patch0:		tcltls-1.6-simpleclient.patch
Patch1:		tcltls-1.6-openssl.patch
Patch2:		tcltls-1.6-no-rpath.patch
BuildRequires:	tcl-devel
BuildRequires:	openssl-devel
Requires:	tcl >= 8.4.11
Requires:	openssl
Obsoletes:	%{mklibname tcltls 1.50}
Provides:	tcl-tls = %{version}-%{release}

%description 
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language.
Needed for Sguild

%package	devel
Summary:	SSL2, SSL3, and TLS1 encryption extensions for TCL
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname tcltls 1.50 -d}
Provides:	tcl-tls-devel = %{version}-%{release}

%description	devel
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language. Development headers.

%prep
%setup -q -n tls%{version}
%patch0 -p1 -b .simpleclient
%patch1 -p1 -b .openssl098a
%patch2 -p1 -b .rpath

%build
autoreconf
%configure2_5x \
    --enable-shared \
    --with-gcclib \
    --with-ssl-dir=%{_prefix} \
    --with-tcl=%{_libdir}

%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std libdir=%{tcl_sitearch} includedir=%{_includedir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README.txt license.terms tls.htm
%{tcl_sitearch}/tls%{version}

%files devel
%defattr(-,root,root)
%{_includedir}/tls.h


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.6-5.mga3
+ Revision: 384161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 1.6-4.mga3
+ Revision: 345425
- do not promote empty flags

* Sun Dec 04 2011 wally <wally> 1.6-4.mga2
+ Revision: 176051
- rebuild for new tcl
- add some generic provides
- clean .spec a bit

* Sun Jan 23 2011 pterjan <pterjan> 1.6-3.mga1
+ Revision: 35277
- imported package tcltls

